클라우드 프록시와 엔드포인트 VM의 핸드셰이크 중에 필요한 사전 요구 사항을 완료합니다.

클라우드 프록시와 엔드포인트 VM의 핸드셰이크에는 다음과 같은 사전 요구 사항이 필요합니다.

  • 엔드포인트 VM, 엔드포인트 VM이 배포된 ESXi 인스턴스, vCenter Server, 클라우드 프록시 및 vRealize Operations Cloud의 시간을 동기화해야 합니다.
  • 엔드포인트 VM이 클라우드 프록시의 포트 443, 4505 및 4506에 액세스할 수 있어야 합니다. 엔드포인트 VM에서 다음 명령을 실행하여 액세스를 확인할 수 있습니다.
    • Linux 엔드포인트 VM의 경우:
      timeout 10 bash -c "</dev/tcp/{cloudproxy_fqdn}/4505"
      echo $?
      timeout 10 bash -c "</dev/tcp/{cloudproxy_fqdn}/4506"
      echo $?
      timeout 10 bash -c "</dev/tcp/{cloudproxy_fqdn}/443"
      echo $?
      
    • Windows 엔드포인트 VM의 경우:
      wget.exe --spider -t 1 -T 10 {cloudproxy_fqdn}:4505 
      wget.exe --spider -t 1 -T 10 {cloudproxy_fqdn}:4506
      wget.exe --spider -t 1 -T 10 {cloudproxy_fqdn}:443
      
      참고: Windows 엔드포인트 VM에 wget.exe가 없는 경우 설치를 시도한 후 파일 탐색기에서 %temp% 폴더 또는 상위 폴더로 이동한 후 wget.exe를 검색합니다.
  • 사용자의 에이전트 설치에 필요한 권한은 사용자 계정 사전 요구 사항 페이지에 설명되어 있습니다.
  • 엔드포인트 VM 구성 요구 사항입니다.
    • Linux 요구 사항

      명령: /bin/bash, sudo, tar, awk, curl

      패키지: coreutils (chmod, chown, cat), shadow-utils (useradd, groupadd, userdel, groupdel), net-tools

      스크립트 실행을 허용하도록 /tmp 디렉토리에 마운트 지점을 구성합니다.

    • Windows 요구 사항
      • Visual C++ 버전은 14 이상이어야 합니다.
      • Windows OS VM의 성능 모니터링을 사용하도록 설정해야 합니다.
    • Windows 2012 R2 요구 사항

      엔드포인트 VM은 범용 C 런타임으로 업데이트해야 합니다. 자세한 내용은 다음 링크를 참조하십시오.

  • VMware Tools는 에이전트를 설치하려는 엔드포인트 VM에 설치되어 실행 중이어야 합니다. 지원되는 VMware Tools 버전에 대한 자세한 내용을 보려면 이 링크를 클릭하십시오.
  • 최신 UAG Photon OS VM에 에이전트를 설치하려면 "실행" 권한이 있는 tmp 폴더를 추가합니다. 스크립트 실행을 허용하도록 /tmp 디렉토리에 마운트 지점을 구성하려면 다음 명령을 실행합니다. <mount -o remount,exec /tmp>